jv.loader

## Class PvDisplayLoader

- java.lang.Object
- - jv.loader.PvDisplayLoader

-     public final class PvDisplayLoader
      extends java.lang.Object

  Loader for display files given in JavaView's JVD file format.
  Author:
    Konrad Polthier
  Version:
    14.07.17, 2.22 revised (kp) Adjust window size and position in hdpi monitor mode.
    07.06.15, 2.21 revised (kp) During parsing use conforming initialization of PvDisplayOption.
    23.11.14, 2.20 revised (kp) Special checks to assure a clean jvLite setup.
    01.10.05, 2.15 revised (kp) Parsing of new attribute fillDisplay of display.
    13.08.03, 2.10 revised (kp) Clip range and author information.
    13.08.03, 2.00 revised (kp) Main methods no longer static.
    03.11.00, 1.10 revised (kp) Continuing development.
    06.10.00, 1.00 created (kp)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PvDisplayLoader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PvDisplayOption[]` | `read(java.io.BufferedReader in)` Read a JVD file with display settings and fill a new options class.
    `static PvDisplayOption[]` | `read(java.lang.String fileName)` Read a JVD file with display settings and fill a new options class.
    `void` | `setGeometryOption(java.util.BitSet option)` Set the geometry options which indicate which parts of a geometry shall be saved.
    `java.lang.String` | `write(PvDisplayOption[] option)` Write the display options in a XML tree structure of instances of type `PsXmlNode` and create a XML formatted string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PvDisplayLoader

          public PvDisplayLoader()

  - ### Method Detail

    - #### setGeometryOption

          public void setGeometryOption(java.util.BitSet option)

      Set the geometry options which indicate which parts of a geometry shall be saved. This method must be called before writing the geometry. Note, not all geometry file formats support geometry options.
      Since:
        JavaView 2.68.000
      Version:
        19.04.03, 1.00 created (kp)

    - #### read

          public static PvDisplayOption[] read(java.lang.String fileName)

      Read a JVD file with display settings and fill a new options class.
      Author:
        Konrad Polthier
      Version:
        17.08.12, 2.20 revised (kp) Method made static to sync with other loaders.
        26.10.04, 2.10 revised (kp) Path of filename prepended to possible back/frontImages.
        20.02.01, 2.00 revised (kp) Method body moved to read(BufferedReader).
        06.10.00, 1.00 created (kp)

    - #### read

          public PvDisplayOption[] read(java.io.BufferedReader in)

      Read a JVD file with display settings and fill a new options class.
      Author:
        Konrad Polthier
      Version:
        20.02.01, 1.00 revised (kp)
        20.02.01, 1.00 created (kp) Method body from former version read(String fileName).

    - #### write

          public java.lang.String write(PvDisplayOption[] option)

      Write the display options in a XML tree structure of instances of type `PsXmlNode` and create a XML formatted string.
      Returns:
        formatted string of xml tree.
      Version:
        06.10.00, 1.00 revised (kp)
        06.10.00, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"